import { JsonCustomConvert } from 'json2typescript';
/**
 * Choicelist option interface
 *
 * @Class ChoiceListOption
 */
export declare class ChoiceListOption {
    label: string;
    value: string;
    img: string;
    visible?: boolean;
    constructor(value?: string, label?: string, img?: string, visible?: boolean);
    static createChoiceListOptions(choiceListOptions: Array<ChoiceListOption>): Array<ChoiceListOption>;
}
/**
 * @class ChoiceListOptionConverter conveter for choices options
 */
export declare class ChoiceListOptionConverter implements JsonCustomConvert<ChoiceListOption> {
    serialize(options: ChoiceListOption): any;
    /**
     * Deserialize ChoiceList options.
     *
     * @param options
     * @returns
     */
    deserialize(options: any): any;
}
